> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Top up a stream

> Add funds to extend runway. Sender wallet is debited; wrapped_balance increases.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/streams/{id}/top-up
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/streams/{id}/top-up:
    post:
      tags:
        - Streams
      summary: Top up a stream
      description: >-
        Add funds to extend runway. Sender wallet is debited; wrapped_balance
        increases.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: string
              required:
                - amount
      responses:
        '200':
          description: Topped up
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Stream'
                required:
                  - data
        '402':
          description: Insufficient balance on sender wallet
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Error'
                  - properties:
                      error:
                        type: string
                      code:
                        type: string
                      details: {}
        '404':
          description: Not found
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Error'
                  - properties:
                      error:
                        type: string
                      code:
                        type: string
                      details: {}
      security:
        - bearerAuth: []
components:
  schemas:
    Stream:
      type: object
      properties:
        id:
          type: string
          format: uuid
        from_wallet_id:
          type: string
          format: uuid
        to_wallet_id:
          type: string
          format: uuid
        flow_rate:
          type: string
          description: Amount per second, as a decimal string
        currency:
          type: string
        wrapped_balance:
          type: string
        buffer:
          type: string
        runway_seconds:
          type: integer
        recipient_balance:
          type: string
        status:
          type: string
          enum:
            - active
            - paused
            - cancelled
            - exhausted
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - from_wallet_id
        - to_wallet_id
        - flow_rate
        - currency
        - wrapped_balance
        - buffer
        - runway_seconds
        - recipient_balance
        - status
        - created_at
        - updated_at
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        details: {}
        request_id:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````